Issue 29090

Summary: In pdf, ID entry in the File Trailer is missing
Product: gsl Reporter: petrs <petr>
Component: codeAssignee: eric.savary
Status: CLOSED FIXED QA Contact: issues <>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1.1   
Target Milestone: OOo 2.0   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description petrs 2004-05-12 14:16:14 UTC
In pdf files, in section Trailer, there are some entries mandatory and some
optional. ID is optional, but it is considered as a good practice to include it.
The details are in the pdf specification

3.4.4 File Trailer
TABLE 3.13 Entries in the file trailer dictionary
10.3 File Identifiers

This entry was introduced in pdf version 1.1 and is used both by Adobe products
and by the pdfFactory program.
Comment 1 christof.pintaske 2004-05-12 15:59:00 UTC
cp->pl: how much effort would that be ?
cp->petrs: what would be the benefit of including it ? Is there any software or
feature relying on that ?
Comment 2 petrs 2004-05-12 16:39:41 UTC
There is a discussion about the using the "File Identifier" on page 717 and 973
in the above mentioned document. I think it is good if you want to catalogize
many documents, some of them is several versions. And I think it means no big
programming to add it.
Comment 3 philipp.lohmann 2004-05-12 17:12:45 UTC
pl->cp: small

will add in CWS pdf01
Comment 4 philipp.lohmann 2004-05-12 18:17:16 UTC
fixed in CWS pdf01
Comment 5 philipp.lohmann 2004-08-12 11:18:17 UTC
reopen for reassign
Comment 6 philipp.lohmann 2004-08-12 11:18:37 UTC
pl->es: please verify in CWS pdf01
Comment 7 philipp.lohmann 2004-08-12 11:18:51 UTC
Comment 8 eric.savary 2004-08-17 15:20:03 UTC
Verified in SRC680/pdf01
Comment 9 eric.savary 2004-09-15 23:15:46 UTC
ok in src680m54
Comment 10 eric.savary 2004-09-15 23:16:04 UTC